Fix Thesis Theme v1.7 using Wordpress 3.x



Thesis theme v1.7 isn't incompatibility with Wordpress 3.x.So if you are using the Thesis theme’s built-in Custom File Editor, you might spot PHP error messages like this:
Fatal error: Call to undefined function use_codepress() in /DIRECTORY/public_html/wp-content/themes/thesis_17/lib/admin/admin.php on line 42
The reason is Thesis theme calls on the function use_codepress – from the Thesis core file admin.php for syntax highlighting using CodePress, but the use_codepress function is now deprecated in WordPress 3.x. So the error appears. But there is a fix here.
Fix Use_CodePress error in Thesis Theme using WordPress 3
·         Power up your FTP program (I use TotalCommander)
·         Browse to /wp-content/themes/thesis_17/lib/admin/admin.php.
·         Download admin.php
·         Open in a text editor like Notepad.
·         Locate this text in line 42
if (use_codepress()) add_action('admin_print_footer_scripts', 'codepress_footer_js');
Replace:


if (function_exists('use_codepress')) { 
if (use_codepress()) add_action('admin_print_footer_scripts', 'codepress_footer_js');
·         Upload and replace admin.php
That should remove all the use_codepress errors, but you will not be able to use the syntax highlighter in your Custom File Editor after that. Remember to keep a backup of admin.php in case something goes wrong.




Share your views...

0 Respones to "Fix Thesis Theme v1.7 using Wordpress 3.x"

Post a Comment

 

Follow